org.apache.lucene.search.similarities

## Class AssertingSimilarity

- java.lang.Object
- - org.apache.lucene.search.similarities.Similarity
  - - org.apache.lucene.search.similarities.AssertingSimilarity

-     public class AssertingSimilarity
      extends Similarity

  wraps a similarity with checks for testing

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Similarity

      `Similarity.SimScorer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingSimilarity(Similarity delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `computeNorm(FieldInvertState state)`
    `Similarity.SimScorer` | `scorer(float boost, CollectionStatistics collectionStats, TermStatistics... termStats)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingSimilarity

          public AssertingSimilarity(Similarity delegate)

  - ### Method Detail

    - #### computeNorm

          public long computeNorm(FieldInvertState state)

      Specified by:
        `computeNorm` in class `Similarity`

    - #### scorer

          public Similarity.SimScorer scorer(float boost,
                                             CollectionStatistics collectionStats,
                                             TermStatistics... termStats)

      Specified by:
        `scorer` in class `Similarity`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.